Summary:	A tool for generating C-based recognizers from regular expressions
Name:		re2c
Version:	3.0
Release:	%mkrel 1
License:	Public Domain
Group:		Development/Other
URL:		http://re2c.org/
Source0:	https://github.com/skvadrik/re2c/releases/download/%{version}/re2c-%{version}.tar.xz
BuildRequires:	bison
BuildRequires:	cmake

%description
re2c is a great tool for writing fast and flexible lexers. It has served many
people well for many years and it deserves to be maintained more actively. re2c
is on the order of 2-3 times faster than a flex based scanner, and its input
model is much more flexible.

%prep
%autosetup -p1

%build
%cmake

%cmake_build

%install
%cmake_install

%check
make check -C build

%files
%license LICENSE
%doc CHANGELOG README.md
%doc examples/
%{_bindir}/re2c
%{_bindir}/re2go
%{_bindir}/re2rust
%{_datadir}/re2c/
%{_mandir}/man1/re2c.1*
%{_mandir}/man1/re2go.1*


%changelog
* Sat Nov 12 2022 daviddavid <daviddavid> 3.0-1.mga9
+ Revision: 1905953
- new version: 3.0

* Thu Mar 17 2022 umeabot <umeabot> 2.1.1-2.mga9
+ Revision: 1797142
- Mageia 9 Mass Rebuild

* Sun Mar 28 2021 daviddavid <daviddavid> 2.1.1-1.mga9
+ Revision: 1711373
- new version: 2.1.1

* Thu Sep 10 2020 daviddavid <daviddavid> 2.0.3-1.mga8
+ Revision: 1624045
- new version: 2.0.3
- switch to cmake build system
- remove merged upstream patches

* Thu May 14 2020 daviddavid <daviddavid> 1.3-2.mga8
+ Revision: 1583700
- add upstream patch to fix CVE-2018-21232 (mga#26549)

* Tue Apr 21 2020 daviddavid <daviddavid> 1.3-1.mga8
+ Revision: 1570204
- new version: 1.3

* Tue Apr 21 2020 daviddavid <daviddavid> 1.2.1-3.mga8
+ Revision: 1570194
- add patch to fix a possible new heap overflow security issue (mga#26515)

* Sun Feb 16 2020 umeabot <umeabot> 1.2.1-2.mga8
+ Revision: 1535079
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 10 2019 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1451184
- new version: 1.2.1

* Mon Oct 08 2018 daviddavid <daviddavid> 1.1.1-1.mga7
+ Revision: 1318608
- new version: 1.1.1

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-2.mga7
+ Revision: 1300794
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 1.0.3-1.mga7
+ Revision: 1220955
- new version: 1.0.3

* Sun Oct 08 2017 daviddavid <daviddavid> 1.0.2-1.mga7
+ Revision: 1170341
- new version: 1.0.2

* Sun Aug 20 2017 daviddavid <daviddavid> 1.0.1-1.mga7
+ Revision: 1142419
- new version: 1.0.1

* Mon Jul 31 2017 daviddavid <daviddavid> 0.16-1.mga7
+ Revision: 1133098
- new version: 0.16

* Sat Feb 06 2016 umeabot <umeabot> 0.13.6-4.mga6
+ Revision: 939945
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.13.6-3.mga5
+ Revision: 747510
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.13.6-2.mga5
+ Revision: 688626
- Mageia 5 Mass Rebuild

* Fri Feb 14 2014 oden <oden> 0.13.6-1.mga5
+ Revision: 591215
- 0.13.6

* Fri Oct 18 2013 umeabot <umeabot> 0.13.5-8.mga4
+ Revision: 518002
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.13.5-7.mga3
+ Revision: 380237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 12 2011 ahmad <ahmad> 0.13.5-6.mga1
+ Revision: 7004
- imported package re2c


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.13.5-6mdv2011.0
+ Revision: 607331
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.13.5-5mdv2010.1
+ Revision: 519064
- rebuild

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.13.5-4mdv2010.0
+ Revision: 426902
- rebuild

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13.5-3mdv2009.1
+ Revision: 317126
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.13.5-2mdv2009.0
+ Revision: 265631
- rebuild early 2009.0 package (before pixel changes)

* Mon May 26 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13.5-1mdv2009.0
+ Revision: 211334
- 0.13.5

* Sun Feb 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13.2-1mdv2008.1
+ Revision: 169534
- 0.13.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.13.1-1mdv2008.1
+ Revision: 116324
- 0.13.1

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.13.0-1mdv2008.0
+ Revision: 43931
- maybe Development/Other will do...
- 0.13.0

* Sat May 26 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12.1-1mdv2008.0
+ Revision: 31474
- 0.12.1

* Wed May 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12.0-1mdv2008.0
+ Revision: 20437
- 0.12.0

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.3-1mdv2008.0
+ Revision: 14560
- 0.11.3


* Thu Mar 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.2-1mdv2007.0
+ Revision: 130337
- 0.11.2

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.1-1mdv2007.1
+ Revision: 123180
- . 0.11.1

* Tue Jan 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11.0-1mdv2007.1
+ Revision: 103094
- 0.11.0

* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.6-2mdv2007.1
+ Revision: 63291
- rebuild
- Import re2c

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.6-1mdv2007.0
- 0.10.6 (Minor bugfixes)

* Mon Jun 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.5-1mdv2007.0
- 0.10.5 (Minor bugfixes)

* Fri Jun 02 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.4-1mdv2007.0
- 0.10.4

* Mon May 15 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.3-1mdk
- 0.10.3

* Wed May 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.2-1mdk
- 0.10.2 (Minor feature enhancements)

* Sun Mar 12 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.1-1mdk
0.10.1

* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10.0-1mdk
- 0.10.0 (Major feature enhancements)

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.12-1mdk
- 0.9.12

* Wed Sep 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.10-1mdk
- initial Mandriva package

